package com.ruoyi.oa.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * cmc项目人员对象 cmc_project_worker
 * 
 * @author cmc
 * @date 2024-03-26
 */
public class CmcProjectWorker extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** id */
    private String id;

    /** 项目id */
    @Excel(name = "项目id")
    private String projectId;

    private CmcProject project;

    /** 内业负责人 */
    @Excel(name = "内业负责人")
    private String inWorker;

    /** 外业负责人 */
    @Excel(name = "外业负责人")
    private String outWorker;

    public void setId(String id) 
    {
        this.id = id;
    }

    public String getId() 
    {
        return id;
    }
    public void setProjectId(String projectId) 
    {
        this.projectId = projectId;
    }

    public String getProjectId() 
    {
        return projectId;
    }

    public void setProject(CmcProject project)
    {
        this.project = project;
    }

    public CmcProject getProject()
    {
        return project;
    }

    public void setInWorker(String inWorker) 
    {
        this.inWorker = inWorker;
    }

    public String getInWorker() 
    {
        return inWorker;
    }
    public void setOutWorker(String outWorker) 
    {
        this.outWorker = outWorker;
    }

    public String getOutWorker() 
    {
        return outWorker;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("projectId", getProjectId())
            .append("inWorker", getInWorker())
            .append("outWorker", getOutWorker())
            .toString();
    }
}
